{% extends "bootstrap4/includes/ng-nav-navbar.html" %}
{% load static i18n cms_tags menu_tags sekizai_tags sass_tags shop_tags %}
{% spaceless %}

{% page_url 'shop-watch-list' as shop_watch_list_url %}{% if not shop_watch_list_url %}{% url "shop-watch-list" as shop_watch_list_url %}{% endif %}

{% block navbar %}
<div class="container">
	{% block navbar-brand %}
	<div class="shop-brand-icon">
		<a href="/">
			<img src="{% static 'commodity/django-shop-logo.svg' %}" alt="django-SHOP" aria-hidden="true">
		</a>
	</div>
	{% endblock %}

	{% block navbar-toggler %}{{ block.super }}{% endblock %}

	<div class="collapse navbar-collapse" uib-collapse="isNavCollapsed">
		<ul class="navbar-nav flex-wrap align-content-between w-100">
			<li class="nav-item shop-social-icons">{% static_placeholder "Social Icons" %}</li>
			<li class="mx-auto"></li>
			{% include "shop/navbar/login-logout.html" with item_class="shop-secondary-menu" %}
			{% with item_class="shop-secondary-menu" %}{% language_chooser "shop/navbar/language-chooser.html" %}{% endwith %}
			{% include "shop/navbar/watch-icon.html" with item_class="shop-secondary-menu" %}
			{% with item_class="shop-secondary-menu" %}
				{% if current_page.reverse_id == 'shop-cart' or current_page.reverse_id == 'shop-watch-list' %}
					{% cart_icon without %}
				{% else %}
					{% cart_icon unsorted %}
				{% endif %}
			{% endwith %}
			<li class="w-100"></li>
			{% with item_class="nav-item shop-primary-menu" %}{% block navbar-nav %}{{ block.super }}{% endblock %}{% endwith %}
			<li class="nav-item shop-search-form">{% include "shop/navbar/search-form.html" with search_form_classes="form-inline" %}</li>
		</ul>
	</div>
</div>

	{% addtoblock "js" %}<script src="{% static 'node_modules/ui-bootstrap4/dist/ui-bootstrap-tpls.js' %}" type="text/javascript"></script>{% endaddtoblock %}
	{% add_data "ng-requires" "ui.bootstrap" %}

	{% addtoblock "js" %}<script src="{% static 'cms_bootstrap/js/ng-nav-navbar.js' %}" type="text/javascript"></script>{% endaddtoblock %}
	{% addtoblock "js" %}<script src="{% static 'shop/js/navbar.js' %}" type="text/javascript"></script>{% endaddtoblock %}
	{% add_data "ng-requires" "django.shop.navbar" %}

{% endblock navbar %}

{% endspaceless %}
